<?php
/**
 * 2021 EVO-CON
 *
 *
 * @author    Christian Schmitt-Schwhela
 * @copyright EVO-CON UG (haftungsbeschränkt)
 * @license   commercial, see licence.txt
 */

/**
 * Class EtrackerAjaxModuleFrontController
 */
class EtrackerAjaxModuleFrontController extends ModuleFrontController
{
    public function initContent()
    {
        $this->ajax = true;
        parent::initContent();
    }

    public function displayAjaxGetproductdata()
    {
        $intProductID = Tools::getValue('ProductID');
        if (!empty($intProductID)) {
            $objProduct = new Product($intProductID);
            if (is_object($objProduct)) {
                $arrData = ['success' => true];
                $arrData['id'] = $intProductID;
                $arrData['name'] = $objProduct->name[$this->context->language->id];
                $arrData['price'] = $objProduct->price;
                $arrData['currency'] = $this->context->currency->iso_code;

                die(json_encode($arrData));
            }
        }

        die(json_encode(['success' => false]));
    }
}
